(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["StickyNote"] = factory(require("react"));
	else
		root["StickyNote"] = factory(root["React"]);
})(this, function(__WEBPACK_EXTERNAL_MODULE_2__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	module.exports = __webpack_require__(1);

/***/ },
/* 1 */
/***/ function(module, exports, __webpack_require__) {

	'use strict';

	var React = __webpack_require__(2);

	var PropTypes = React.PropTypes;

	var PINK = 'pink';
	var BLUE = 'blue';
	var YELLOW = 'yellow';
	var GREEN = 'green';
	var COLORS = {};
	COLORS[PINK] = '#FFCCCC';
	COLORS[BLUE] = '#CCFFFF';
	COLORS[YELLOW] = '#FFFFCC';
	COLORS[GREEN] = '#CCFFCC';
	var TEXT_MAX_DEFAULT = 287; // text longer than this will generally overflow
	var TEXT_MAX_LARGE = 558; // when 'large' is true
	var RAND_TILT_MAX = 10;

	var StickyNote = React.createClass({
	  displayName: 'StickyNote',

	  propTypes: {
	    children: PropTypes.node.isRequired,
	    large: PropTypes.bool,
	    color: PropTypes.oneOf([PINK, BLUE, YELLOW, GREEN]),
	    customTextLimit: PropTypes.number,
	    tiltInDegrees: PropTypes.number },

	  componentWillMount: function componentWillMount() {
	    var textMax = this._calculateTextMax();
	    if (this._calculateChildrenLength() > textMax) {
	      console.warn('WARNING: Please limit length of content of <StickyNote> to ' + textMax + ' or it will overflow!');
	    }
	  },

	  /**
	   * @return {Object}
	   */
	  getDefaultProps: function getDefaultProps() {
	    return {
	      color: YELLOW };
	  },

	  /**
	   * @return {Object}
	   */
	  getInitialState: function getInitialState() {
	    return {
	      highlighted: false };
	  },

	  _color: function _color() {
	    return COLORS[this.props.color];
	  },

	  _calculateTextMax: function _calculateTextMax() {
	    return this.props.customTextLimit || (this.props.large ? TEXT_MAX_LARGE : TEXT_MAX_DEFAULT);
	  },

	  _calculateChildrenLength: function _calculateChildrenLength() {
	    var lengthCounter = 0;
	    var countLengthOfChild = function countLengthOfChild(child) {
	      var textContent = undefined;
	      if (typeof child === 'string') {
	        textContent = child;
	      } else {
	        if (child.props && child.props.children) {
	          React.Children.forEach(child.props.children, countLengthOfChild);
	        }
	      }
	      if (textContent) {
	        lengthCounter += textContent.length;
	      }
	    };
	    React.Children.forEach(this.props.children, countLengthOfChild);
	    return lengthCounter;
	  },

	  _randomTilt: function _randomTilt() {
	    return Math.floor(Math.random() * RAND_TILT_MAX - 5);
	  },

	  render: function render() {
	    var size = this.props.large ? '300px' : '200px';
	    var tilt = this.props.tiltInDegrees;
	    if (typeof this.props.tiltInDegrees === 'undefined') {
	      tilt = this._randomTilt();
	    }

	    var styles = {
	      fontFamily: '"Courier New",Courier,"Lucida Sans Typewriter","Lucida Typewriter",monospace',
	      width: size,
	      height: size,
	      padding: '1.5em',
	      backgroundColor: this._color(),
	      overflowY: 'scroll',
	      // tilt
	      webkitTransform: 'rotate(' + tilt + 'deg)', // Chrome, Opera 15+, Safari 3.1+
	      msTransform: 'rotate(' + tilt + 'deg)', // IE 9
	      transform: 'rotate(' + tilt + 'deg)' };

	    return React.createElement(
	      'div',
	      {
	        className: 'sticky-note',
	        style: styles
	      },
	      this.props.children
	    );
	  }
	});

	module.exports = StickyNote;
	// will be randomized if not provided
	// Firefox 16+, IE 10+, Opera

/***/ },
/* 2 */
/***/ function(module, exports, __webpack_require__) {

	module.exports = __WEBPACK_EXTERNAL_MODULE_2__;

/***/ }
/******/ ])
});
;